# frozen_string_literal: true

lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "jibril/version"

Gem::Specification.new do |spec|
  spec.name          = "jibril"
  spec.version       = Jibril::VERSION
  spec.authors       = ["Wolf"]
  spec.email         = ["wolf@wolfsden.cz"]

  spec.summary       = %q{Simple configuration management tool.}
  spec.description   = <<~EOF
    Simple chef-inspired configuration management tool. While chef is awesome,
    it has crazy high requirements (mainly memory-wise) for managing like
    8 devices I have.

    Ansible would be great IF all my devices were reachable, however some are
    behind NATs.

    Jibril tries to solve both issue. It's designed to be light on the server
    (raspberry pi is enough), with one server (so NATs are not an issue)
    and ruby DSL for the configuration scripts (so like chef, I don't like the
    way ansible uses yaml for this).
  EOF
  spec.homepage      = "https://github.com/graywolf/jibril"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
